Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class VersionDescription

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.VersionDescription

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieVersionDescription

    public class VersionDescription

extends TiePublicObject

The VersionDescription class is used to describe an instance of a versioned public object at a point in time as tracked by the version series.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `PUBLICOBJECT_ATTRIBUTE` The versioned object that this VersionDescription describes in the context of a VersionSeries.
`static java.lang.String` | `REVISIONCOMMENT_ATTRIBUTE` The check-in comment (a textual description) of the versioned object that this VersionDescription describes.
`static java.lang.String` | `VERSIONLABEL_ATTRIBUTE` A user supplied label for the versioned object that this VersionDescription describes (e.g.
`static java.lang.String` | `VERSIONNUMBER_ATTRIBUTE` The numbered sequence that this VersionDescription occupies in the VersionSeries.
`static java.lang.String` | `VERSIONSERIES_ATTRIBUTE` The VersionSeries to which this VersionDescription belongs.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `VersionDescription(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a VersionDescription object - standard variant.

Method Summary
`protected static VersionDescription` | `constructVersionDescription(LibrarySession sess, S_LibraryObjectData data)` Return VersionDescription from a VersionDescription data.
`protected static VersionDescription[]` | `constructVersionDescriptionArray(LibrarySession sess, java.lang.Long[] ids)` Construct a Version Description array from an array of object IDs.
`protected static java.util.Vector` | `constructVersionDescriptionVector(LibrarySession sess, java.util.Vector vector)` Returns a VersionDescription Vector from a Vector of VersionDescription
`VersionDescription` | `createBranchedVersionSeries(VersionDescriptionDefinition vddef)` Creates a branched version series in this family, which relates back to this version description.
`VersionDescription` | `getFirstVersionDescription()` Cover for `getVersionSeries().getFirstVersionDescription()`
`VersionDescription` | `getLastVersionDescription()` Cover for `getVersionSeries().getLastVersionDescription()`
`PublicObject` | `getNextVersion()` Returns the PublicObject referenced by the next VersionDescription.
`VersionDescription` | `getNextVersionDescription()` Cover for `getVersionSeries().getNextVersionDescription()`
`PublicObject` | `getPreviousVersion()` Returns the PublicObject referenced by the previous VersionDescription.
`VersionDescription` | `getPreviousVersionDescription()` Cover for `getVersionSeries().getPreviousVersionDescription()`
`PublicObject` | `getPublicObject()` Returns the PublicObject for this version description.
`java.lang.String` | `getRevisionComment()` Returns the user specified revision comment for this version description.
`java.lang.String` | `getVersionLabel()` Returns the user specified version label for this version description.
`long` | `getVersionNumber()` Returns the linear, system generated version number for this version description.
`VersionSeries` | `getVersionSeries()` Returns this version description's version series
`void` | `integrateIntoVersionSeries(VersionSeries vs)` Records that this VersionDescription relates as a source to the latest version of the given version series.
`boolean` | `isLatestVersionDescription()` Cover for `getVersionSeries().isLatestVersionDescription(this)`
`boolean` | `isVersioned()` Returns false always.
`void` | `setVersionLabel(java.lang.String label)` Sets the user specified version label for this version description.
`protected static VersionDescription[]` | `vectorToVersionDescriptionArray(java.util.Vector vector)` Returns an array of VersionDescription objects from a vector of VersionDescription objects.
`protected static VersionDescription` | `vectorVersionDescriptionElement(java.util.Vector vector, int index)` Returns a particular VersionDescription object from a vector of version description objects based on the index specified by the user.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getOwner, getPolicyBundle, getPolicyLists, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersions, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `VersionDescription`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### VERSIONSERIES_ATTRIBUTE

    public static final java.lang.String VERSIONSERIES_ATTRIBUTE

  Description copied from class: `VersionDescription`
  The VersionSeries to which this VersionDescription belongs.

  See Also:
    Constant Field Values
  (Published)

### PUBLICOBJECT_ATTRIBUTE

    public static final java.lang.String PUBLICOBJECT_ATTRIBUTE

  Description copied from class: `VersionDescription`
  The versioned object that this VersionDescription describes in the context of a VersionSeries.

  See Also:
    Constant Field Values
  (Published)

### VERSIONNUMBER_ATTRIBUTE

    public static final java.lang.String VERSIONNUMBER_ATTRIBUTE

  Description copied from class: `VersionDescription`
  The numbered sequence that this VersionDescription occupies in the VersionSeries.

  See Also:
    Constant Field Values
  (Published)

### VERSIONLABEL_ATTRIBUTE

    public static final java.lang.String VERSIONLABEL_ATTRIBUTE

  Description copied from class: `VersionDescription`
  A user supplied label for the versioned object that this VersionDescription describes (e.g. '1.2.3a', 'alpha').

  See Also:
    Constant Field Values
  (Published)

### REVISIONCOMMENT_ATTRIBUTE

    public static final java.lang.String REVISIONCOMMENT_ATTRIBUTE

  Description copied from class: `VersionDescription`
  The check-in comment (a textual description) of the versioned object that this VersionDescription describes.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### VersionDescription

    protected VersionDescription(LibrarySession session,
                                 java.lang.Long id,
                                 java.lang.Long classId,
                                 S_LibraryObjectData data)
                          throws IfsException

  Construct a VersionDescription object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object ID
    `classId` - the object's class ID
    `data` - the object's data
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getVersionSeries

    public VersionSeries getVersionSeries()
                                   throws IfsException

  Description copied from class: `VersionDescription`
  Returns this version description's version series

  Overrides:
    `getVersionSeries` in class `PublicObject`
  Returns:
    this version description's version series
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getVersionNumber

    public long getVersionNumber()
                          throws IfsException

  Description copied from class: `VersionDescription`
  Returns the linear, system generated version number for this version description.

  Overrides:
    `getVersionNumber` in class `PublicObject`
  Returns:
    this version description's version number
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getVersionLabel

    public java.lang.String getVersionLabel()
                                     throws IfsException

  Description copied from class: `VersionDescription`
  Returns the user specified version label for this version description.

  Returns:
    this version description's version label
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setVersionLabel

    public void setVersionLabel(java.lang.String label)
                         throws IfsException

  Description copied from class: `VersionDescription`
  Sets the user specified version label for this version description.

  Parameters:
    `label` - the version label
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getPublicObject

    public PublicObject getPublicObject()
                                 throws IfsException

  Description copied from class: `VersionDescription`
  Returns the PublicObject for this version description.

  Returns:
    this version description's PublicObject.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getRevisionComment

    public java.lang.String getRevisionComment()
                                        throws IfsException

  Description copied from class: `VersionDescription`
  Returns the user specified revision comment for this version description.

  Returns:
    this version description's revision comment
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getFirstVersionDescription

    public VersionDescription getFirstVersionDescription()
                                                  throws IfsException

  Description copied from class: `VersionDescription`
  Cover for `getVersionSeries().getFirstVersionDescription()`

  Returns:
    the first version description in this series.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isLatestVersionDescription

    public boolean isLatestVersionDescription()
                                       throws IfsException

  Description copied from class: `VersionDescription`
  Cover for `getVersionSeries().isLatestVersionDescription(this)`

  Returns:
    true if this version description is the latest in the series.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLastVersionDescription

    public VersionDescription getLastVersionDescription()
                                                 throws IfsException

  Description copied from class: `VersionDescription`
  Cover for `getVersionSeries().getLastVersionDescription()`

  Returns:
    the first version description in this series.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getNextVersionDescription

    public VersionDescription getNextVersionDescription()
                                                 throws IfsException

  Description copied from class: `VersionDescription`
  Cover for `getVersionSeries().getNextVersionDescription()`

  Returns:
    the first version description in this series.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getPreviousVersionDescription

    public VersionDescription getPreviousVersionDescription()
                                                     throws IfsException

  Description copied from class: `VersionDescription`
  Cover for `getVersionSeries().getPreviousVersionDescription()`

  Returns:
    the first version description in this series.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getNextVersion

    public PublicObject getNextVersion()
                                throws IfsException

  Description copied from class: `VersionDescription`
  Returns the PublicObject referenced by the next VersionDescription. This overrides the implementation in PublicObject.

  Overrides:
    `getNextVersion` in class `PublicObject`
  Returns:
    the PublicObject referenced by the next VersionDescription
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getPreviousVersion

    public PublicObject getPreviousVersion()
                                    throws IfsException

  Description copied from class: `VersionDescription`
  Returns the PublicObject referenced by the previous VersionDescription. This overrides the implementation in PublicObject.

  Overrides:
    `getPreviousVersion` in class `PublicObject`
  Returns:
    the PublicObject referenced by the next VersionDescription
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### createBranchedVersionSeries

    public VersionDescription createBranchedVersionSeries(VersionDescriptionDefinition vddef)
                                                   throws IfsException

  Description copied from class: `VersionDescription`
  Creates a branched version series in this family, which relates back to this version description. Note that since a version series must have at least one VersionDescription, this method takes a VersionDescriptionDefinition and creates that also; If the VersionDescriptionDefinition does not contain a VersionSeriesDefinition, then a default one will be used to create the branched VersionSeries. Note that the new branched VersionSeries can be made the primary via the setPrimaryVersionSeries() method.

  Parameters:
    `vddef` - Definition object describing the first VersionDescription in the new VersionSeries.
  Returns:
    the new VersionDescription (in the new branch).
  Throws:
    `IfsException` - on failure
  (Unpublished)

### integrateIntoVersionSeries

    public void integrateIntoVersionSeries(VersionSeries vs)
                                    throws IfsException

  Description copied from class: `VersionDescription`
  Records that this VersionDescription relates as a source to the latest version of the given version series. It is the "other half" of a branch operation.

  Parameters:
    `vs` - the target VersionSeries to which this version description will relate.
  Throws:
    `IfsException` - on failure
  (Unpublished)

### constructVersionDescriptionVector

    protected static java.util.Vector constructVersionDescriptionVector(LibrarySession sess,
                                                                        java.util.Vector vector)
                                                                 throws IfsException

  Description copied from class: `VersionDescription`
  Returns a VersionDescription Vector from a Vector of VersionDescription

  Parameters:
    `sess` - the requesting session
    `vector` - the Vector of VersionDescription
  Throws:
    `IfsException` - on failure
  (Unpublished)

### constructVersionDescriptionArray

    protected static VersionDescription[] constructVersionDescriptionArray(LibrarySession sess,
                                                                           java.lang.Long[] ids)
                                                                    throws IfsException

  Description copied from class: `VersionDescription`
  Construct a Version Description array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a PublciObject.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Version Description objects
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isVersioned

    public boolean isVersioned()
                        throws IfsException

  Description copied from class: `VersionDescription`
  Returns false always. This object is not versionable.

  Overrides:
    `isVersioned` in class `PublicObject`
  Returns:
    false always. This object is not versionable.
  Throws:
    `IfsException` - if operation fails.

### constructVersionDescription

    protected static VersionDescription constructVersionDescription(LibrarySession sess,
                                                                    S_LibraryObjectData data)
                                                             throws IfsException

  Description copied from class: `VersionDescription`
  Return VersionDescription from a VersionDescription data.

  Parameters:
    `sess` - handle to the library session
    `data` - data object corresponding to the VersionDescription
  Returns:
    VersionDescription object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToVersionDescriptionArray

    protected static VersionDescription[] vectorToVersionDescriptionArray(java.util.Vector vector)

  Description copied from class: `VersionDescription`
  Returns an array of VersionDescription objects from a vector of VersionDescription objects.

  Parameters:
    `vector` - vector of VersionDescription objects
  Returns:
    array of VersionDescription objects
  (Unpublished)

### vectorVersionDescriptionElement

    protected static VersionDescription vectorVersionDescriptionElement(java.util.Vector vector,
                                                                        int index)

  Description copied from class: `VersionDescription`
  Returns a particular VersionDescription object from a vector of version description objects based on the index specified by the user.

  Parameters:
    `vector` - vector of version description objects
    `index` - points to the required version description
  Returns:
    VersionDescription object at a particular index
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD